/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.exportimport.controller;

import com.liferay.exportimport.kernel.controller.ImportController;
import com.liferay.exportimport.kernel.lar.PortletDataContext;
import com.liferay.portal.kernel.exception.PortalException;
import com.liferay.portal.kernel.model.Layout;
import com.liferay.portal.kernel.xml.Element;

/**
 * @author Matthew Tambara
 */
public interface PortletImportController extends ImportController {

	public void deletePortletData(PortletDataContext portletDataContext)
		throws Exception;

	public void importAssetLinks(PortletDataContext portletDataContext)
		throws Exception;

	public void importPortletData(
			PortletDataContext portletDataContext, Element portletDataElement)
		throws Exception;

	public void importPortletPreferences(
			PortletDataContext portletDataContext, long companyId, long groupId,
			Layout layout, Element parentElement, boolean preserveScopeLayoutId,
			boolean importPortletArchivedSetups, boolean importPortletData,
			boolean importPortletSetup, boolean importPortletUserPreferences)
		throws Exception;

	public void importServicePortletPreferences(
			PortletDataContext portletDataContext, Element serviceElement)
		throws PortalException;

	public void readExpandoTables(PortletDataContext portletDataContext)
		throws Exception;

	public void readLocks(PortletDataContext portletDataContext)
		throws Exception;

	public void resetPortletScope(
		PortletDataContext portletDataContext, long groupId);

}